//
//  GOSecondViewController.h
//  Game On!
//
//  Created by Jordan Clifton on 7/22/13.
//  Copyright (c) 2013 Jordan Clifton. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface GOCreateViewController : UIViewController <UIPickerViewDataSource, UIPickerViewDelegate, UITextFieldDelegate, ParseAPIDelegate>
@property (weak, nonatomic) IBOutlet UISlider *playerSlider;
@property (weak, nonatomic) IBOutlet UIPickerView *picker;
@property (weak, nonatomic) IBOutlet UITextField *gameTF;
@property (weak, nonatomic) IBOutlet UITextField *skillTF;
@property (weak, nonatomic) IBOutlet UIScrollView *scrollView;
@property (weak, nonatomic) IBOutlet UISegmentedControl *segControl;
@property (weak, nonatomic) IBOutlet UITextField *passwordTF;
@property (weak, nonatomic) IBOutlet UIButton *createBtn;
@property (weak, nonatomic) IBOutlet UILabel *numOfPlayers;
@property (weak, nonatomic) IBOutlet UITextField *titleTF;
@property (weak, nonatomic) IBOutlet UITextField *descriptionTF;

- (IBAction)onCreate:(id)sender;
- (IBAction)onSliderMove:(id)sender;
- (IBAction)privacyChanged:(id)sender;
- (IBAction)sliderChanged:(id)sender;

@end
