//
//  GOGroupDetailsViewController.h
//  Game On!
//
//  Created by Jordan Clifton on 7/30/13.
//  Copyright (c) 2013 Jordan Clifton. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface GOGroupDetailsViewController : UIViewController <ParseAPIDelegate>

@property (nonatomic, strong) Group *group;
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@property (weak, nonatomic) IBOutlet UITableView *groupTable;
@property (weak, nonatomic) IBOutlet UIButton *joinBtn;
@property (weak, nonatomic) IBOutlet UIButton *leaveBtn;
@property (weak, nonatomic) IBOutlet UILabel *currentNumLabel;
@property (weak, nonatomic) IBOutlet UILabel *maxNumLabel;


- (IBAction)onJoin:(id)sender;
- (IBAction)onLeave:(id)sender;

@end
