//
//  GORegisterViewController.m
//  Game On!
//
//  Created by Jordan Clifton on 7/30/13.
//  Copyright (c) 2013 Jordan Clifton. All rights reserved.
//

#import "GORegisterViewController.h"

@interface GORegisterViewController ()

@end

@implementation GORegisterViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	
    self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"background.png"]];
    
    UILabel *gameOnLabel = [[UILabel alloc] init];
    gameOnLabel.text = @"Game On!";
    gameOnLabel.textColor = [UIColor whiteColor];
    gameOnLabel.font = [UIFont fontWithName:@"Copperplate-Bold" size:42];
    gameOnLabel.backgroundColor = [UIColor clearColor];
    [gameOnLabel sizeToFit];
    self.signUpView.logo = gameOnLabel;
    
    self.signUpView.usernameField.backgroundColor = [UIColor darkGrayColor];
    self.signUpView.usernameField.borderStyle = UITextBorderStyleRoundedRect;
    
    self.signUpView.passwordField.backgroundColor = [UIColor darkGrayColor];
    self.signUpView.passwordField.borderStyle = UITextBorderStyleRoundedRect;
    
    self.signUpView.emailField.backgroundColor = [UIColor darkGrayColor];
    self.signUpView.emailField.borderStyle = UITextBorderStyleRoundedRect;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
