//
//  Group.h
//  Game On!
//
//  Created by Jordan Clifton on 7/24/13.
//  Copyright (c) 2013 Jordan Clifton. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Group : NSObject

@property (nonatomic, strong) NSString *creator;
@property (nonatomic, strong) NSString *title;
@property (nonatomic, strong) NSString *objectId;
@property (nonatomic, strong) NSString *description;
@property (nonatomic, strong) NSNumber *partySize;
@property (nonatomic, strong) NSNumber *maxPartySize;
@property (nonatomic, strong) NSString *whichGame;
@property (nonatomic, strong) NSMutableArray *membersOfParty;
@property (nonatomic, strong) NSString *skillLevel;
@property BOOL isPrivate;
@property (nonatomic, strong) NSString *password;



-(Group *)groupWithDictionary:(NSDictionary *)dict;
@end
