//
//  Group.m
//  Game On!
//
//  Created by Jordan Clifton on 7/24/13.
//  Copyright (c) 2013 Jordan Clifton. All rights reserved.
//

#import "Group.h"

@implementation Group

-(Group *)groupWithDictionary:(NSDictionary *)dict
{
    
    self.creator = [dict objectForKey:@"creator"];
    self.description = [dict objectForKey:@"description"];
    self.title = [dict objectForKey:@"title"];
    self.maxPartySize = [dict objectForKey:@"maxPartySize"];
    self.partySize = [dict objectForKey:@"partySize"];
    self.objectId = [dict objectForKey:@"objectId"];
    self.whichGame = [dict objectForKey:@"whichGame"];
    self.membersOfParty = [dict objectForKey:@"membersOfParty"];
    self.skillLevel = [dict objectForKey:@"skillLevel"];
    self.isPrivate = [[dict objectForKey:@"isPrivate"] boolValue];
    self.password = [dict objectForKey:@"password"];
    
    return self;
}

@end
